Skip to main content
GET
/
api
/
v1
/
policies
/
associations
List Policy Associations
curl --request GET \
  --url https://control-plane.kubiya.ai/api/v1/policies/associations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://control-plane.kubiya.ai/api/v1/policies/associations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://control-plane.kubiya.ai/api/v1/policies/associations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "organization_id": "<string>",
    "policy_id": "<string>",
    "policy_name": "<string>",
    "entity_type": "<string>",
    "entity_id": "<string>",
    "enabled": true,
    "priority": 123,
    "metadata": {},
    "created_at": "<string>",
    "updated_at": "<string>",
    "created_by": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Query Parameters

entity_type
enum<string> | null
Available options:
agent,
team,
environment
entity_id
string | null
policy_id
string | null
enabled
boolean | null

Response

Successful Response

id
string
required
organization_id
string
required
policy_id
string
required
policy_name
string
required
entity_type
string
required
entity_id
string
required
enabled
boolean
required
priority
integer
required
metadata
Metadata · object
required
created_at
string
required
updated_at
string
required
created_by
string | null